package com.goafanti.order.bo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;


public class OutProjectStatistics {
	private Integer id;
	private String distributionTime;
	private String province;
	private String depName;
	private String salesmanName;
	private String contractNo;
	private String orderNo;
	private String  userName;
	private String cname;
	private String  pname;
	private String techName;
	private String techDepName;
	private Integer projectStatus;
	private Integer formRetrieve;
	private Integer satisfactionDegree;
	private Integer cSort;



	private Integer  setUpStatus;
	private Integer  highTechstatus;
	private String setUpTime;
	private Integer  spotCheckStatus;
	private String  contactMobile;
	private String  legalPersonTel;
	private String  certificateNumber;
	private String  declarationBatch;
	private Integer  commodityQuantity;
	private BigDecimal  commodityPrice;


	/**下证时间*/
	private String	licenceTime;
	/**任务备注*/
	private String	taskComment;

	/**下证数*/
	private Integer	certificatesCount;
	/**加急天数*/
	private Integer	urgentDay;
	/**有无材料*/
	private Integer	ifMaterial;
	/**成本*/
	private BigDecimal	costAmount;
	/**利润*/
	private BigDecimal	profit;
	/**驳回数*/
	private Integer	rejectCount;
	/**专利编号*/
	private String	patentNo;
	/**专利名称*/
	private String	patentName;
	/**受理时间*/
	private String	acceptTime;
	private String	specialComment;

	private String orderRemarks;
	private String serviceType;
	private String serviceProject;

	//会员
	private String serviceLife;
	private String serviceYear;
	private Integer yearSum;
	private String contractTerm;

	//审计
	private String lastYear;
	private BigDecimal lastYearCapital;
	private BigDecimal lastYearIncome;

	private Integer approval;
	private String type;
	private String typeExplain;



	private Integer scoreStatus;
	private Integer scoreNumber;
	private Date scoreTime;

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	public Date getScoreTime() {
		return scoreTime;
	}

	public void setScoreTime(Date scoreTime) {
		this.scoreTime = scoreTime;
	}

	public Integer getcSort() {
		return cSort;
	}

	public void setcSort(Integer cSort) {
		this.cSort = cSort;
	}

	public Integer getScoreStatus() {
		return scoreStatus;
	}

	public void setScoreStatus(Integer scoreStatus) {
		this.scoreStatus = scoreStatus;
	}

	public Integer getScoreNumber() {
		return scoreNumber;
	}

	public void setScoreNumber(Integer scoreNumber) {
		this.scoreNumber = scoreNumber;
	}

	public Integer getApproval() {
		return approval;
	}

	public void setApproval(Integer approval) {
		this.approval = approval;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getTypeExplain() {
		return typeExplain;
	}

	public void setTypeExplain(String typeExplain) {
		this.typeExplain = typeExplain;
	}


	public Integer getFormRetrieve() {
		return formRetrieve;
	}

	public void setFormRetrieve(Integer formRetrieve) {
		this.formRetrieve = formRetrieve;
	}

	public Integer getSatisfactionDegree() {
		return satisfactionDegree;
	}

	public void setSatisfactionDegree(Integer satisfactionDegree) {
		this.satisfactionDegree = satisfactionDegree;
	}

	public String getServiceType() {
		return serviceType;
	}

	public void setServiceType(String serviceType) {
		this.serviceType = serviceType;
	}

	public String getServiceProject() {
		return serviceProject;
	}

	public void setServiceProject(String serviceProject) {
		this.serviceProject = serviceProject;
	}

	public String getLastYear() {
		return lastYear;
	}

	public void setLastYear(String lastYear) {
		this.lastYear = lastYear;
	}

	public BigDecimal getLastYearCapital() {
		return lastYearCapital;
	}

	public void setLastYearCapital(BigDecimal lastYearCapital) {
		this.lastYearCapital = lastYearCapital;
	}

	public BigDecimal getLastYearIncome() {
		return lastYearIncome;
	}

	public void setLastYearIncome(BigDecimal lastYearIncome) {
		this.lastYearIncome = lastYearIncome;
	}

	public String getServiceLife() {
		return serviceLife;
	}

	public void setServiceLife(String serviceLife) {
		this.serviceLife = serviceLife;
	}

	public String getServiceYear() {
		return serviceYear;
	}

	public void setServiceYear(String serviceYear) {
		this.serviceYear = serviceYear;
	}

	public Integer getYearSum() {
		return yearSum;
	}

	public void setYearSum(Integer yearSum) {
		this.yearSum = yearSum;
	}

	public String getContractTerm() {
		return contractTerm;
	}

	public void setContractTerm(String contractTerm) {
		this.contractTerm = contractTerm;
	}

	public String getOrderRemarks() {
		return orderRemarks;
	}

	public void setOrderRemarks(String orderRemarks) {
		this.orderRemarks = orderRemarks;
	}

	public Integer getSetUpStatus() {
		return setUpStatus;
	}
	public void setSetUpStatus(Integer setUpStatus) {
		this.setUpStatus = setUpStatus;
	}
	public String getSetUpTime() {
		return setUpTime;
	}
	public void setSetUpTime(String setUpTime) {
		this.setUpTime = setUpTime;
	}
	public Integer getSpotCheckStatus() {
		return spotCheckStatus;
	}
	public void setSpotCheckStatus(Integer spotCheckStatus) {
		this.spotCheckStatus = spotCheckStatus;
	}
	public String getContactMobile() {
		return contactMobile;
	}
	public void setContactMobile(String contactMobile) {
		this.contactMobile = contactMobile;
	}
	public String getLegalPersonTel() {
		return legalPersonTel;
	}
	public void setLegalPersonTel(String legalPersonTel) {
		this.legalPersonTel = legalPersonTel;
	}
	public String getCertificateNumber() {
		return certificateNumber;
	}
	public void setCertificateNumber(String certificateNumber) {
		this.certificateNumber = certificateNumber;
	}
	public String getDeclarationBatch() {
		return declarationBatch;
	}
	public void setDeclarationBatch(String declarationBatch) {
		this.declarationBatch = declarationBatch;
	}
	public Integer getCommodityQuantity() {
		return commodityQuantity;
	}
	public void setCommodityQuantity(Integer commodityQuantity) {
		this.commodityQuantity = commodityQuantity;
	}
	public BigDecimal getCommodityPrice() {
		return commodityPrice;
	}
	public void setCommodityPrice(BigDecimal commodityPrice) {
		this.commodityPrice = commodityPrice;
	}



	public String getDistributionTime() {
		return distributionTime;
	}
	public void setDistributionTime(String distributionTime) {
		this.distributionTime = distributionTime;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getDepName() {
		return depName;
	}
	public void setDepName(String depName) {
		this.depName = depName;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getCname() {
		return cname;
	}
	public void setCname(String cname) {
		this.cname = cname;
	}
	public String getPname() {
		return pname;
	}
	public void setPname(String pname) {
		this.pname = pname;
	}
	public String getTechName() {
		return techName;
	}
	public void setTechName(String techName) {
		this.techName = techName;
	}
	public String getTechDepName() {
		return techDepName;
	}
	public void setTechDepName(String techDepName) {
		this.techDepName = techDepName;
	}
	public Integer getProjectStatus() {
		return projectStatus;
	}
	public void setProjectStatus(Integer projectStatus) {
		this.projectStatus = projectStatus;
	}
	public String getLicenceTime() {
		return licenceTime;
	}
	public void setLicenceTime(String licenceTime) {
		this.licenceTime = licenceTime;
	}
	public String getTaskComment() {
		return taskComment;
	}
	public void setTaskComment(String taskComment) {
		this.taskComment = taskComment;
	}
	public Integer getCertificatesCount() {
		return certificatesCount;
	}
	public void setCertificatesCount(Integer certificatesCount) {
		this.certificatesCount = certificatesCount;
	}
	public Integer getUrgentDay() {
		return urgentDay;
	}
	public void setUrgentDay(Integer urgentDay) {
		this.urgentDay = urgentDay;
	}
	public Integer getIfMaterial() {
		return ifMaterial;
	}
	public void setIfMaterial(Integer ifMaterial) {
		this.ifMaterial = ifMaterial;
	}
	public BigDecimal getCostAmount() {
		return costAmount;
	}
	public void setCostAmount(BigDecimal costAmount) {
		this.costAmount = costAmount;
	}
	public BigDecimal getProfit() {
		if (profit==null&&commodityPrice!=null&&costAmount!=null) {
			return  commodityPrice.subtract(costAmount);
		}
		return profit;
	}
	public void setProfit(BigDecimal profit) {
		this.profit = profit;
	}
	public Integer getRejectCount() {
		return rejectCount;
	}
	public void setRejectCount(Integer rejectCount) {
		this.rejectCount = rejectCount;
	}
	public String getPatentName() {
		return patentName;
	}
	public void setPatentName(String patentName) {
		this.patentName = patentName;
	}
	public String getAcceptTime() {
		return acceptTime;
	}
	public void setAcceptTime(String acceptTime) {
		this.acceptTime = acceptTime;
	}
	public Integer getHighTechstatus() {
		return highTechstatus;
	}
	public void setHighTechstatus(Integer highTechstatus) {
		this.highTechstatus = highTechstatus;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getSpecialComment() {
		return specialComment;
	}
	public void setSpecialComment(String specialComment) {
		this.specialComment = specialComment;
	}
	public String getPatentNo() {
		return patentNo;
	}
	public void setPatentNo(String patentNo) {
		this.patentNo = patentNo;
	}

}
